Subject: Re: bug#77478: Fixes a crash in the Haiku font driver for daemon mode

From: "Kyle Ambroff-Kao" <[email-masked]>
Date: Tue, 27 May 2025 22:22:19 -0700

On Sat, May 24, 2025, at 2:18 AM, Eli Zaretskii wrote:
> > From: Po Lu <[email-masked]>
> > Cc: [email-masked],  [email-masked]
> > Date: Sun, 18 May 2025 08:47:03 +0800
> > 
> > Eli Zaretskii <[email-masked]> writes:
> > 
> > >> > > This fixes double-free bug in Emacs daemon mode on Haiku. To reproduce:
> > >> > > 
> > >> > > 1. Start emacs with "emacs --daemon"
> > >> > > 2. Create a new frame with "emacsclient -c" and then close it.
> > >> > > 3. Create a new frame with "emacsclient -c"
> > 
> > I think I've fixed this slightly differently.  Please test and ack,
> > thanks.
> 
> Kyle, could you please test the fix and report back?

Thanks for looking into this everybody. I tested your variant of the fix Po and it also prevents the crash for me.